<?php

include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';


$set['title']='Рыбалка'; // заголовок страницы
error_reporting (0);
include_once '../sys/inc/thead.php';
title();
err();
aut();
//header("Content-type: application/vnd.wap.xhtml+xml");
header("Content-type: text/html");
echo "<center><div class='bdeg1'><img src='160_bar-zippo.jpg' /></div></center><link rel='stylesheet' href='style.css' type='text/css' /><dl class='mai2n'>";
$gconf=mysql_fetch_array(mysql_query("SELECT * FROM `gorod_conf`"));

if(isset($user)){
if($gconf[0]['open']!=1){

if($user['gorod_fishing_time']<time()){

$action=htmlspecialchars(trim($_GET['action']));


switch ($action){

default:
echo'Здарова, '.$user['nick'].'!<br/>';
echo'У тебя есть '.$user['gorod_money'].' зелени<br/>';

$w=mysql_query("SELECT * FROM `gorod_invent` WHERE `type`='udo4ka' AND `uid`='".$user['id']."'");

if(!mysql_num_rows($w)){
echo 'У тебя нет удочки!<br/>';
echo '<dl class="mai2n">
<dt></dt>
<b><a href="snar.php"><dt>Сначала купи удочку!</dt></a></b>
</TABLE></div>
';
}else{
$w=mysql_fetch_assoc($w);
echo'Удочка: '.$w['name'].'.';


$x=mysql_query("SELECT * FROM `gorod_invent` WHERE `type`='lic_fish' AND `uid`='".$user['id']."'");


if(!mysql_num_rows($x)){
echo'
<dl class="mai2n">
<dt></dt>
<b><a href="fishing.php?action=straf"><dt>Купи себе лицензию на отлов рыбы: 500 зелени</dt></a></b>
</TABLE></div>
';
}else{
echo '<br/><font color="red"><b>Наживка:</b></font>';
echo '<br/>';


echo '<form action="fishing.php?action=nazhivka" method="post">';
echo '<select name="oper">';
echo '<option value="1">Крошка хлеба - 20 зелени</option>';
echo '<option value="2">Червь - 40 зелени</option>';
echo '<option value="3">Муха - 60 зелени</option>';
echo '<option value="4">Бешаный червь - 100 зелени</option>';
echo '<option value="5">Перловка - 1000 зелени</option>';
echo '<option value="6">Икра - 5000 зелени</option>';
echo '</select><br/>';
echo '<input type="submit" value="Ловить"/>';
echo '</form>';

};
};
break;


case 'nazhivka':
$oper=(int)$_POST['oper'];
if(!$oper || $oper<0 || $oper>6){echo 'Не правильный параметры!';break;};

if($oper==1){$min=20;}
elseif($oper==2){$min=40;}
elseif($oper==3){$min=60;}
elseif($oper==4){$min=100;}
elseif($oper==5){$min=1000;}
elseif($oper==6){$min=5000;}
else{$min==10000;};

if($min>$user['gorod_money']){echo 'Нет столько денег!';break;};

mysql_query("UPDATE `user` SET `gorod_money`=`gorod_money`-'$min' WHERE `id`='".$user['id']."'");

$fish=rand(0,7);
if ($fish==0) {
echo "Сорвалась!<br/>";
echo'<dl class="mai2n">
<dt></dt>
<b><a href="fishing.php"><dt><img src="skr/011.png" />Попробовать еще</dt></a></b>
</TABLE></div>
';
}else{

if ($fish==7) {
echo 'Ха рыбный надзор!<br/>';
$straf=rand(100,1000);
echo 'Штраф '.$straf.' зелени<br/>Заплатить или сядешь?<br/>';


echo'
<dl class="mai2n">
<dt></dt>
<b><a href="fishing.php?action=pay&amp;r='.$straf.'"><dt><img src="skr/011.png" />Заплатить</dt></a></b>
<b>
<a href="fishing.php?action=inban"><dt><img src="skr/011.png" />В бан!</dt></a></b>
</TABLE></div>
';
}else {
$x=mysql_query("SELECT * FROM `gorod_invent` WHERE `type`='udo4ka' AND `uid`='".$user['id']."'");
if(!mysql_num_rows($x)){echo 'У вас нет удочки!';break;};
$x=mysql_fetch_assoc($x);
$data[]='Карась';
$data[]='Окунь';
$data[]='Щука';

$kol=$x['uron']+$oper+rand(1,3);
$masa=$kol*rand(1,5);
$r=rand(0,count($data)-1);

$price=(round($masa/$kol))+25;
for($i=0;$i<=$kol;$i++){
mysql_query("INSERT INTO `gorod_invent` (`uid`,`name`,`life`,`type`,`price`)VALUES('".$user['id']."','".$data[$r]."','25','eda','$price')");
};
mysql_query("UPDATE `user` SET `gorod_fishing_time`='".(time()+1000)."' WHERE `id`='".$user['id']."'");

echo 'Тебе попался '.$data[$r].'!<br/>';
echo 'Ты словил '.$kol.' рыб, массой '.$masa.'кг!<br/>';
echo 'Ты можешь продать их в 
<dl class="mai2n">
<dt></dt>
<b><a href="bazar.php"><dt><img src="skr/011.png" />магазине,</dt></a></b>
<b>
<a href="eda.php"><dt><img src="skr/011.png" />скушать, </dt></a></b>
<b>
<a href="fishing.php"><dt><img src="skr/011.png" />пойти на рыбалку</dt></a></b>
</TABLE></div>
';

};

};

break;


case 'pay':
$r=(int)$_GET['r'];
if(!$r){echo 'Пустые параметры!';break;};
if($user['gorod_money']<$r){
mysql_query("INSERT INTO `ban` (`time`,`id_user`,`id_ban`,`prich`)VALUES('".(time()+1500)."','".$user['id']."','1','Бан!')");
echo 'У тебя нет денег для оплаты штрафа!<br/>';
echo 'Ты отправлен в баню!';
}else{
mysql_query("UPDATE `user` SET `gorod_money`=`gorod_money`-'$r' WHERE `id`='".$user['id']."'");
echo 'Ты оплатил штраф! Можеш отправлятся на <dl class="mai2n">
<dt></dt>
<b><a href="fishing.php"><dt><img src="skr/011.png" />рыбалку!</dt></a></b>
</TABLE></div>
';
};
break;


case 'inban':
mysql_query("INSERT INTO `ban` (`time`,`id_user`,`id_ban`,`prich`)VALUES('".(time()+1500)."','".$user['id']."','1','Бан!')");
echo 'Ты отправлен в баню!';
break;


case 'straf':

if($user['gorod_money']<500){
echo'У вас нет столько денег.<br/>';
}else{
$x=mysql_query("SELECT * FROM `gorod_invent` WHERE `type`='lic_fish' AND `uid`='".$user['id']."'");
if(!mysql_num_rows($x)){
mysql_query("UPDATE `user` SET `gorod_money`=`gorod_money`-500 WHERE `id`='".$user['id']."'");
mysql_query("INSERT INTO `gorod_invent` (`uid`,`name`,`type`,`price`)VALUES('".$user['id']."','Лицензия','lic_fish','500')");
echo'<dl class="mai2n">
<dt></dt>
<b><a href="fishing.php"><dt><img src="skr/011.png" />На рыбалку</dt></a></b>
</TABLE></div>
';
}else{
echo 'У вас уже есть лицензия!<br/>';
echo'<dl class="mai2n">
<dt></dt>
<b><a href="fishing.php"><dt><img src="skr/011.png" />На рыбалку</dt></a></b>
</TABLE></div>
';};
};

break;


};
}else{

function maketime($string) {
if($string < 3600){
$string = sprintf("%02d:%02d", (int)($string / 60) % 60, $string % 60);
}else{
$string = sprintf("%02d:%02d:%02d", (int)($string / 3600) % 24, (int)($string / 60) % 60, $string % 60);
};
return $string;
};

echo 'Вы не давно рыбачили! Приходите через '.maketime($user['gorod_fishing_time']-time()).'!';
};




echo '<div class="msg"><a href="index.php">В игру</a></div></div>';
}else{echo '<div class="msg">Город закрыт администратором!</div>';};

}else{
echo '<div class="msg">Город доступен только для авторизованых пользователей!</div>';
};

include_once '../sys/inc/tfoot.php';
?>